# Uses of Interface
org.eclipse.net4j.util.security.IUserManager

Packages that use IUserManager
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of IUserManager in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement IUserManager
Modifier and Type
Class
Description
`class`
`FileUserManager`
`class`
`UserManager`
Methods in org.eclipse.net4j.util.security that return IUserManager
Modifier and Type
Method
Description
`IUserManager`
ChallengeNegotiator.`getUserManager()`
`protected IUserManager`
ChallengeNegotiatorConfigurer.`getUserManager(IManagedContainer container, String description)`
`IUserManager`
UserManagerAuthenticator.`getUserManager()`
Methods in org.eclipse.net4j.util.security with parameters of type IUserManager
Modifier and Type
Method
Description
`void`
ChallengeNegotiator.`setUserManager(IUserManager userManager)`
`void`
UserManagerAuthenticator.`setUserManager(IUserManager userManager)`